#pragma once
#include <map>
struct M_ActivityDayHuntCFGData
{
	//编号
	int mID;
	//奖励
	std::vector<int> mReward;
	//期望最高
	std::vector<int> mExpectHighest;
	//前端显示道具
	std::vector<int> mDisplayItem;
	//前端显示数量
	std::vector<std::string> mDisplayMumber;
	//前端显示重置卡数量
	int mDisplayResetMumber;
	//礼包id
	int mbagId;
};

class M_ActivityDayHuntCFG
{
public:
private:
	static std::auto_ptr<M_ActivityDayHuntCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityDayHuntCFGData* GetData(int ID);
	const std::map<int, M_ActivityDayHuntCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityDayHuntCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityDayHuntCFGData> mMapData;
};
